org.eclipse.mat.ui.internal.query.arguments

## Class ArgumentEditor

- java.lang.Object
- - Composite
  - - org.eclipse.mat.ui.internal.query.arguments.ArgumentEditor

Direct Known Subclasses:
  BooleanComboEditor, CheckBoxEditor, EnumComboEditor, FileOpenDialogEditor, LinkEditor, SnapshotSelectionEditor, TextEditor

    public abstract class ArgumentEditor
    extends Composite

### Nested Class Summary

Nested Classes
`static interface` `ArgumentEditor.IEditorListener`

### Constructor Summary

Constructors
Constructor and Description
`ArgumentEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addListener(ArgumentEditor.IEditorListener listener)`
`ArgumentDescriptor` `getDescriptor()`
`abstract Object` `getValue()`
`void` `removeListener(ArgumentEditor.IEditorListener listener)`
`abstract void` `setValue(Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentEditor

    public ArgumentEditor(Composite parent,
                          IQueryContext context,
                          ArgumentDescriptor descriptor,
                          TableItem item)

### Method Detail

#### addListener

    public void addListener(ArgumentEditor.IEditorListener listener)

#### removeListener

    public void removeListener(ArgumentEditor.IEditorListener listener)

#### getDescriptor

    public ArgumentDescriptor getDescriptor()

#### setValue

    public abstract void setValue(Object value)
                           throws SnapshotException

Throws:
  `SnapshotException`

#### getValue

    public abstract Object getValue()